Avro C#

Public Member Functions | Properties | List of all members
Avro.SchemaName Class Reference

Class to store schema name, namespace, enclosing namespace and documentation More...

## Public Member Functions
| SchemaName (string name, string space, string encspace, string documentation)
| Constructor for SchemaName More...
override string | ToString ()
| Returns the full name of the schema More...
override bool | Equals (Object obj)
| Compares two schema names More...
override int | GetHashCode ()

## Properties
String | Name`[get]`
| Name of the schema More...
String | Space`[get]`
| Namespace specified within the schema More...
String | EncSpace`[get]`
| Namespace from the most tightly enclosing schema More...
String | Documentation`[get]`
| Documentation for the schema More...
String | Fullname`[get]`
| Namespace.Name of the schema More...
String? | Namespace`[get]`
| Namespace of the schema More...

## Detailed Description

Class to store schema name, namespace, enclosing namespace and documentation

## Constructor & Destructor Documentation

## ◆ SchemaName()

Avro.SchemaName.SchemaName | ( | string | name,
|  | string | space,
|  | string | encspace,
|  | string | documentation
| ) |  |
| inline

Constructor for SchemaName

Parameters

  name | name of the schema
  space | namespace of the schema
  encspace | enclosing namespace of the schema
  documentation | documentation of the schema

## Member Function Documentation

## ◆ Equals()

override bool Avro.SchemaName.Equals | ( | Object | obj | ) |
| inline

Compares two schema names

Parameters

  obj | SchameName object to compare against this object

Returns
  true or false

## ◆ ToString()

override string Avro.SchemaName.ToString | ( |  | ) |
| inline

Returns the full name of the schema

Returns

## Property Documentation

## ◆ Documentation

String Avro.SchemaName.Documentation
| get

Documentation for the schema

## ◆ EncSpace

String Avro.SchemaName.EncSpace
| get

Namespace from the most tightly enclosing schema

## ◆ Fullname

String Avro.SchemaName.Fullname
| get

Namespace.Name of the schema

## ◆ Name

String Avro.SchemaName.Name
| get

Name of the schema

## ◆ Namespace

String? Avro.SchemaName.Namespace
| get

Namespace of the schema

## ◆ Space

String Avro.SchemaName.Space
| get

Namespace specified within the schema

The documentation for this class was generated from the following file:

- src/apache/main/Schema/SchemaName.cs